<?php

// QT-registerations 1.6 build:20081216

// --------
// HTML start
// --------
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" xml:lang="en" lang="en">
<head>
<title>Quickticket installation checker</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
<link rel="stylesheet" href="admin/qtr_main.css">
</head>';

echo '<body>

<!-- PAGE CONTROL -->
<div class="div_page">
<table class="ta_page" width="550" cellspacing="0" style="margin:5px">
<tr class="tr_page">
<td class="td_page">
<!-- PAGE CONTROL -->

<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="admin/qtr_logo.gif" width="175" height="50" style="border-width:0" alt="QT-registerations" title="QT-registerations"/>
</div>
</div>
<!-- END HEADER BANNER -->

<!-- BODY MAIN -->
<table width="100%" cellspacing="0" style="border:1px solid #AAAAAA;">
<tr>
<td style="padding:5px 10px 5px 10px;">
<!-- BODY MAIN -->
';

// --------
// 1 CONFIG
// --------

echo '<h1>Checking your configuration</h1>';

$qtr_error = '';

// 1 file exist

  echo 'Checking installed files...<br/>';

  if ( !file_exists('bin/config.php') )           $qtr_error .= 'File <b>config.php</b> is not in the <b>bin</b> directory. Communication with database is impossible.<br/>';
  if ( !file_exists('bin/qtr_init.php') )         $qtr_error .= 'File <b>qtr_init.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtr_fn_common.php') )    $qtr_error .= 'File <b>qtr_fn_common.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qt_lib_db.php') )        $qtr_error .= 'File <b>qt_lib_db.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qt_lib_txt.php') )       $qtr_error .= 'File <b>qt_lib_txt.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtr_class_sys.php') )    $qtr_error .= 'File <b>qtr_class_sys.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtr_class_section.php') ) $qtr_error .= 'File <b>qtr_class_section.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtr_class_topic.php') )  $qtr_error .= 'File <b>qtr_class_topic.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtr_class_post.php') )   $qtr_error .= 'File <b>qtr_class_post.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtr_class_vip.php') )    $qtr_error .= 'File <b>qtr_class_vip.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';
  if ( !file_exists('bin/qtr_class_lang.php') )   $qtr_error .= 'File <b>qtr_class_lang.php</b> is not in the <b>bin</b> directory. Application cannot start.<br/>';

  if ( !empty($qtr_error) ) die($qtr_error);

  echo 'Main files found.<br/><br/>';

// 2 config is correct

  echo 'Checking config.php...<br/>';

  include('bin/config.php');

  if ( !isset($qtr_dbsystem) ) $qtr_error .= 'Variable <b>$qtr_dbsystem</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtr_host) )     $qtr_error .= 'Variable <b>$qtr_host</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtr_database) ) $qtr_error .= 'Variable <b>$qtr_database</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtr_prefix) )   $qtr_error .= 'Variable <b>$qtr_prefix</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtr_user) )     $qtr_error .= 'Variable <b>$qtr_user</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtr_pwd) )      $qtr_error .= 'Variable <b>$qtr_pwd</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtr_port) )     $qtr_error .= 'Variable <b>$qtr_port</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !isset($qtr_dsn) )      $qtr_error .= 'Variable <b>$qtr_dsn</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !empty($qtr_error) ) die($qtr_error);

  // check db type
  if ( !in_array($qtr_dbsystem,array('mysql4','mysql','mssql','pg','ibase','sqlite','db2','access','ifx','oci')) ) die('Unknown db type '.$qtr_dbsystem);

  // check other values
  if ( empty($qtr_host) )      $qtr_error .= 'Variable <b>$qtr_host</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( empty($qtr_database) )  $qtr_error .= 'Variable <b>$qtr_database</b> is not defined in the file <b>bin/config.php</b>. Communication with database is impossible.<br/>';
  if ( !empty($qtr_error) ) die($qtr_error);

  echo 'Done.<br/><br/>';

// 3 test db connection

  echo 'Connecting to database...<br/>';

  include('bin/qt_lib_db.php');

  $oDB = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);
  if ( !empty($oDB->error) ) die ('<p style="color:red">Connection with database failed.<br/>Check that server is up and running.<br/>Check that the settings in the file <b>bin/config.php</b> are correct for your database.</p>');

  echo 'Done.<br/><br/>';

echo '--> Configuration tests completed successfully.';

// --------
// 2 DATABASE
// --------

$qtr_error = '';

echo '<h1>Checking your database design</h1>';

// 1 setting table

  echo 'Checking setting table...<br/>';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="version"');
  if ( !empty($oDB->error) ) die("<br/><font color=red>Problem with table ".$qtr_prefix."qtrsetting</font>");
  $row = $oDB->Getrow();
  $strVersion = $row['setting'];
  echo "Table [".$qtr_prefix."qtrsetting] exists. Version is $strVersion.<br/><br/>";
  if ( !in_array(substr($strVersion,0,3),array('1.4','1.5','1.6')) ) die('But data in this table refers to an incompatible version (must be version 1.6).');

// 2 domain table

  echo 'Checking domain table...<br/>';

  $oDB->Query('SELECT count(id) as countid FROM '.$qtr_prefix.'qtrdomain');
  if ( !empty($oDB->error) ) die("<br/><font color=red>Problem with table ".$qtr_prefix."qtrdomain</font>");
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtr_prefix."qtrdomain] exists. $intCount domain(s) found.<br/><br/>";

// 3 section table

  echo 'Checking section table...<br/>';

  $oDB->Query('SELECT count(id) as countid FROM '.$qtr_prefix.'qtrsection');
  if ( !empty($oDB->error) ) die("<br/><font color=red>Problem with table ".$qtr_prefix."qtrsection</font>");
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtr_prefix."qtrsection] exists. $intCount section(s) found.<br/><br/>";

// 4 topic table

  echo "Checking topic table...<br/>";

  $oDB->Query('SELECT count(id) as countid FROM '.$qtr_prefix.'qtrtopic');
  if ( !empty($oDB->error) ) die("<br/><font color=red>Problem with table ".$qtr_prefix."qtrtopic</font>");
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtr_prefix."qtrtopic] exists. $intCount ticket(s) found.<br/><br/>";

// 5 post table

  echo 'Checking post table...<br/>';

  $oDB->Query('SELECT count(id) as countid FROM '.$qtr_prefix.'qtrpost');
  if ( !empty($oDB->error) ) die("<br/><font color=red>Problem with table ".$qtr_prefix."qtrpost</font>");
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtr_prefix."qtrpost] exists. $intCount post(s) found.<br/><br/>";

// 6 user table

  echo 'Checking user table...<br/>';

  $oDB->Query('SELECT count(id) as countid FROM '.$qtr_prefix.'qtruser');
  if ( !empty($oDB->error) ) die("<br/><font color=red>Problem with table ".$qtr_prefix."qtruser</font>");
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  echo "Table [".$qtr_prefix."qtruser] exists. $intCount user(s) found.<br/><br/>";

echo '--> Database tests completed successfully.';

// --------
// 3 LANGUAGE AND SKIN
// --------

$qtr_error = '';

echo "<h1>Checking language and skin options</h1>";

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="language"');
  $row = $oDB->Getrow();
  $str = $row['setting'];
  if ( empty($str) ) $qtr_error .= 'Setting <b>language</b> is not defined in the setting table. Application can only work with english.<br/>';
  if ( !file_exists("language/$str/qtr_lang_main.inc") )    $qtr_error .= "File <b>qtr_lang_main.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$str/qtr_lang_adm.inc") )     $qtr_error .= "File <b>qtr_lang_adm.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$str/qtr_lang_adm_tf.inc") )  $qtr_error .= "File <b>qtr_lang_adm_tf.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$str/qtr_lang_icon.inc") )    $qtr_error .= "File <b>qtr_lang_icon.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$str/qtr_lang_reg.inc") )     $qtr_error .= "File <b>qtr_lang_reg.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/$str/qtr_lang_zone.inc") )    $qtr_error .= "File <b>qtr_lang_zone.inc</b> is not in the <b>language/xxxx</b> directory.<br/>";
  if ( !file_exists("language/english/qtr_lang_main.inc") ) $qtr_error .= "File <b>qtr_lang_main.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtr_lang_adm.inc") )  $qtr_error .= "File <b>qtr_lang_adm.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtr_lang_adm_tf.inc") ) $qtr_error .= "File <b>qtr_lang_adm_tf.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtr_lang_icon.inc") ) $qtr_error .= "File <b>qtr_lang_icon.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtr_lang_reg.inc") )  $qtr_error .= "File <b>qtr_lang_reg.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";
  if ( !file_exists("language/english/qtr_lang_zone.inc") ) $qtr_error .= "File <b>qtr_lang_zone.inc</b> is not in the <b>language/english</b> directory. English language is mandatory.<br/>";

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="skin_dir"');
  $row = $oDB->Getrow();
  $str = $row['setting'];

  if ( empty($str) ) $qtr_error .= 'Setting <b>skin</b> is not defined in the setting table. Application will not display correctly.<br/>';
  if ( !file_exists("skin/$str/qtr_main.css") ) $qtr_error .= "File <b>qtr_main.css</b> is not in the <b>skin/xxxx</b> directory.<br/>";
  if ( !file_exists("skin/default/qtr_main.css") ) $qtr_error .= "File <b>qtr_main.css</b> is not in the <b>skin/default</b> directory. Default skin is mandatory.<br/>";

  if ( !empty($qtr_error) ) echo $qtr_error;
  $qtr_error = '';

echo '--> Language and skin files tested.';

// --------
// 4 ADMINISTRATION TIPS
// --------

$qtr_error = '';

echo '<h1>Administration tips</h1>';

// 1 admin email

  echo 'Email setting...<br/>';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="admin_email"');
  $row = $oDB->Getrow();
  $strMail = $row['setting'];
  if ( empty($strMail) )
  {
  $qtr_error .= "<font color=red>Administrator e-mail is not yet defined. It's mandatory to define it !</font><br/>";
  }
  else
  {
  if ( !ereg("^.+@.+\..+$",$strMail) )  $qtr_error .= "<font color=red>Administrator e-mail format seams incorrect. Please check it</font><br/>";
  }

  if ( !empty($qtr_error) ) echo $qtr_error;
  echo "Done.<br/><br/>";
  $qtr_error = '';

// 2 admin password

  echo 'Security check...<br/>';

  $oDB->Query('SELECT pwd FROM '.$qtr_prefix.'qtruser WHERE id=1');
  $row = $oDB->Getrow();
  $strPwd = $row['pwd'];
  If ( $strPwd==sha1('Admin') ) $qtr_error .= "<font color=red>Administrator password is still the initial password. It's recommended to change it !</font><br/>";

  if ( !empty($qtr_error) ) echo $qtr_error;
  echo 'Done.<br/><br/>';
  $qtr_error = '';

// 3 site url

  echo 'Site url...<br/>';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="site_url"');
  $row = $oDB->Getrow();
  $strText = trim($row['setting']);
  if ( substr($strText,0,7)!="http://" && substr($strText,0,8)!="https://" )
  {
    $qtr_error .= '<font color=red>Site url is not yet defined (or not starting by http://). It\'s mandatory to define it !</font><br/>';
  }
  else
  {
    $strURL = ( empty($_SERVER['SERVER_HTTPS']) ? "http://" : "https://" ).$_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
    $strURL = substr($strURL,0,-18);
    if ( $strURL!=$strText ) $qtr_error .= '<font color=red>Site url seams to be different that the current url. Please check it</font><br/>';
  }

  if ( !empty($qtr_error) ) echo $qtr_error;
  echo 'Done.<br/><br/>';
  $qtr_error = '';

// 4 avatar/upload folder permission

  echo 'Folder permissions...<br/>';

  if ( !is_dir('avatar') )
  {
    $qtr_error .= '<font color=red>Directory <b>avatar</b> not found.</font><br/>Please create this directory and make it writeable (chmod 777) if you want to allow avatars<br/>';
  }
  else
  {
    if ( !is_readable('avatar') ) $qtr_error .= '<font color=red>Directory <b>avatar</b> is not readable.</font><br/>Change permissions (chmod 777) if you want to allow avatars<br/>';
    if ( !is_writable('avatar') ) $qtr_error .= '<font color=red>Directory <b>avatar</b> is not writable.</font><br/>Change permissions (chmod 777) if you want to allow avatars<br/>';
  }
  if ( !is_dir('upload') )
  {
    $qtr_error .= '<font color=red>Directory <b>upload</b> not found.</font><br/>Please create this directory and make it writeable (chmod 777) if you want to allow uploads<br/>';
  }
  else
  {
    if ( !is_readable('upload') ) $qtr_error .= '<font color=red>Directory <b>upload</b> is not readable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>';
    if ( !is_writable('upload') ) $qtr_error .= '<font color=red>Directory <b>upload</b> is not writable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>';
  }

  if ( !empty($qtr_error) ) echo $qtr_error;
  echo 'Done.<br/><br/>';
  $qtr_error = '';

echo '--> Administration tips completed.';

// --------
// 5 END
// --------

echo '<h1>Result</h1>';
echo 'The checker did not found blocking issues in your configuration.<br/>';

  $oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="board_offline"');
  $row = $oDB->Getrow();
  $strOff = $row['setting'];
  if ( $strOff=='1' ) echo 'Your board seams well installed, but is currently off-line.<br/>Log as Administrator and go to the Administration panel to turn your board on-line.<br/>';

echo '<br/><br/><a href="qtr_index.php">Go to QT-registerations</a>';

// --------
// HTML END
// --------

echo '<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->

<div class="div_footer_copy">
<span class="p_footer_copy">powered by <a href="http://www.qt-cute.org" class="a_footer_copy">QT-cute</a></span>
</div>

<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>

</html>';

?>