<?php

// QT-registerations 1.6 build:20081216

switch(substr($oDB->type,0,5))
{

case 'mysql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar(24),
  setting varchar(255)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar(24),
  setting varchar(255)
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar(24),
  setting varchar(255)
  )';
  break;

case 'sqlit':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param text,
  setting text
  )';
  break;

case 'ibase':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar(24),
  setting varchar(255)
  )';
  break;

case 'acces':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar(24),
  setting varchar(255)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar(24),
  setting varchar(255)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar(24),
  setting varchar(255)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsetting (
  param varchar2(24),
  setting varchar2(255)
  )';
  break;

default:
  die("Database type [{$oDB->type}] not supported... Must be mysql, mssql, pg, sqlite, firebird, db2, ifx or access");

}

echo ' <span style="color:blue;">';
$b=$oDB->Query($strQ);
echo '</span>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qtr_prefix.'qtrsetting',$qtr_database,$qtr_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qtr_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("version", "1.6")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("board_offline", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("site_name", "QT-cute")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("site_url", "http://")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("home_name", "Home")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("home_url", "http://www.qt-cute.org")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("admin_email", "")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("admin_fax", "")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("admin_name", "")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("admin_addr", "")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("topics_per_section", "1000")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("posts_per_topic", "100")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("chars_per_post", "4000")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("lines_per_post", "250")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("time_zone", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_time_zone", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("home_menu", "0")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("posts_delay", "4")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("posts_per_day", "999")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("site_width", "780")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("register_safe", "text")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("smtp_password", "")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("smtp_username", "")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("smtp_host", "")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("use_smtp", "0")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("sys_welcome", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("topics_per_page", "20")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("replies_per_page", "20")');
$str='english';
if ( $_SESSION['qtr_setup_lang']=='fr' ) $str='francais';
if ( $_SESSION['qtr_setup_lang']=='nl' ) $str='nederlands';
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("language", "'.$str.'")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("userlang", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("section_desc", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_banner", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_legend", "0")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("index_name", "Safety centre")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("skin_dir", "default")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("javamail", "0")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("bbc", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("avatar", "gif,jpg,jpeg,png")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("avatar_width", "150")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("avatar_height", "150")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("avatar_size", "25")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("formatdate", "j M Y")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("formattime", "G:i")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_id", "T-%03s")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("news_on_top", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_closed", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("register_mode", "direct")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("daylight", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("visitor_right", "5")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_quick_reply", "1")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_calendar", "M")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("upload", "M")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("upload_size", "500")');
$result=$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrsetting VALUES ("show_stats", "M")');
?>