<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_lang_adm.inc'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$oVIP->selfurl = 'qtr_adm_prefix.php';
$oVIP->exiturl = 'qtr_adm_sections.php';
$oVIP->selfname = $L['Topic_prefix'];
$oVIP->exitname = $L['Sections'];

// --------
// HTML START
// --------

include('qtr_adm_p_header.php');

echo '
<table cellspacing="0" class="ta_hidden">
<tr class="tr_hidden">
<td class="td_hidden" style="width:200px"><h1>',$oVIP->selfname,'</h1></td>
<td class="td_hidden">
';

// Browse image file

foreach ($L['Prefix_serie'] as $strKey => $strName)
{
echo '<table cellspacing="0" class="ta_hidden">
<tr class="tr_hidden">
<td class="td_hidden" style="width:200px; border-bottom:solid 1px #aaaaaa"><h2>',$strName,'</h2>
<td class="td_hidden" style=" border-bottom:solid 1px #aaaaaa">';

echo '<table cellspacing="0" class="ta_hidden">
<colgroup span="3"><col style="width:50px;"></col><col style="width:50px;"></col><col></col></colgroup>
<tr><th>#</th><th>Icon</th><th>Name</th></tr>
';
for ($i=1;$i<10;$i++)
{
  if ( file_exists($_SESSION[QT]['skin_dir'].'/ico_prefix_'.$strKey.'_0'.$i.'.gif') )
  {
  echo '<tr><td>',$strKey,' 0',$i,'</td><td><img src="',$_SESSION[QT]['skin_dir'],'/ico_prefix_',$strKey,'_0',$i,'.gif"/></td><td>',$L['Ico_prefix'][$strKey.'_0'.$i],'</td></tr>',N;
  }
}
echo '
</table>
</td>
</tr>
</table>
';
}

echo '</td>
</tr>
</table>';

// HTML END

include('qtr_adm_p_footer.php');

?>