<?php

// QT-registrations 1.6 build:20081216

include('qtr_stats_dt_inc.php');

function Trend($tr='a',$i,$j)
{
  if ( !isset($i) ) return null;
  $i = $i-$j;
  if ( $tr=='p' && $i!=0 )
  {
    if ( $j==0 ) $j=1;
    $i = intval(($i/$j)*100);
  }
  return $i;
}

// DISPLAY title & option

echo '<table class="ta_hidden" cellspacing="0">';
echo '<tr class="tr_hidden" style="vertical-align:middle;">';
echo '<td class="td_hidden"><h2>',$intYear-1,' - ',$intYear,($s>=0 ? ' ('.$arrSections[$s].')' : ''),(empty($tag) ? '' : ', '.$L['Tag_only'].' '.str_replace(';',' '.$L['or'].' ',$tag)),'</h2></td>',N;
if ( !isset($bToPrint) ) echo '<td class="td_hidden small" style="text-align:right">',implode(' &middot; ',$arrTimeblocks),'</td>';
echo '</tr>
</table>
';

// DISPLAY VALUES

// -----
foreach (array($intCurrentYear-1,$intCurrentYear) as $intYear) {
// -----

// Display table header

echo '<table class="ta ta_t" cellspacing="0">
<tr class="tr_t">
<th class="th_o" style="width:100px">',$intYear,'</th>
<th class="th_o" style="width:14px">&nbsp;</th>
';
switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">Q',$i,'</th>'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</th>'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">',str_replace(' ','<br/>',QTdate(DateAdd($strTendaysago,$i,'day'),array('n','date','d M'))),'</th>'; } break;
}
echo '<th class="th_o" style="text-align:center;"><b>',($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']),'</b></th>
</tr>';

// DISPLAY NEW TOPICS

echo '<tr class="tr_t">',N;
echo '<th class="th_o">',$L['New_topics'],'</th>',N;
echo '<th class="th_o"><div style="margin:0 auto;background-color:#000066;width:8px;height:10px">&nbsp;</div></th>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrN[$intYear][$intBt]) ? $arrN[$intYear][$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrN[$intYear][$intTotBt],'</b></td></tr>',N;

// DISPLAY CLOSED TOPICS

echo '<tr class="tr_t">',N;
echo '<th class="th_o">',$L['Closed_topics'],'</th>',N;
echo '<th class="th_o"><div style="margin:0 auto;background-color:#990099;width:8px;height:10px">&nbsp;</div></th>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrC[$intYear][$intBt]) ? $arrC[$intYear][$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrC[$intYear][$intTotBt],'</b></td></tr>',N;

echo '</table>
';

// -----
}
// -----

// DISPLAY TRENDS

// Display table header

if ( !isset($bToPrint) ) echo '<p class="small" style="text-align:right">',implode(' &middot; ',$arrTrendtypes),'</p>';

echo '<table class="ta ta_t" cellspacing="0">
<tr class="tr_t">
<th class="th_o" style="width:100px">',$L['Trends'],'</th>
<th class="th_o" style="width:14px">&nbsp;</th>
';
switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">Q',$i,'</th>'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</th>'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">',str_replace(' ','<br/>',QTdate(DateAdd($strTendaysago,$i,'day'),array('n','date','d M'))),'</th>'; } break;
}
echo '<th class="th_o" style="text-align:center;"><b>',($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']),'</b></th>
</tr>';

// New Topics trends

echo '<tr class="tr_t">',N;
echo '<th class="th_o">',$L['New_topics'],'</th>',N;
echo '<th class="th_o"><div style="margin:0 auto;background-color:#000066;width:8px;height:10px">&nbsp;</div></th>',N;

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  $str = '0';
  $i = Trend($tr, (isset($arrN[$intCurrentYear][$intBt]) ? $arrN[$intCurrentYear][$intBt] : null), (isset($arrN[$intCurrentYear-1][$intBt]) ? $arrN[$intCurrentYear-1][$intBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;">',$str,'</td>',N;  
}

  $str = '0';
  $i = Trend($tr, (isset($arrN[$intCurrentYear][$intTotBt]) ? $arrN[$intCurrentYear][$intTotBt] : null), (isset($arrN[$intCurrentYear-1][$intTotBt]) ? $arrN[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;"><b>',$str,'</b></td></tr>',N;

// Closed Topics trends

echo '<tr class="tr_t">',N;
echo '<th class="th_o">',$L['Closed_topics'],'</th>',N;
echo '<th class="th_o"><div style="margin:0 auto;background-color:#990099;width:8px;height:10px">&nbsp;</div></th>',N;

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  $str = '0';
  $i = Trend($tr, (isset($arrC[$intCurrentYear][$intBt]) ? $arrC[$intCurrentYear][$intBt] : null), (isset($arrC[$intCurrentYear-1][$intBt]) ? $arrC[$intCurrentYear-1][$intBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;">',$str,'</td>',N;  
}

  $str = '0';
  $i = Trend($tr, (isset($arrC[$intCurrentYear][$intTotBt]) ? $arrC[$intCurrentYear][$intTotBt] : null), (isset($arrC[$intCurrentYear-1][$intTotBt]) ? $arrC[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;"><b>',$str,'</b></td></tr>',N;

echo '</table>
';

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtr_graph.css') )
{
  include('bin/qt_lib_graph.php');
    
  $arr = array();
  $arr[] = ($gr=='a' ? $L['Per_a'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&tr='.$tr.'&gr=a" class="small">'.$L['Per_a'].'</a>');
  $arr[] = ($gr=='p' ? $L['Per_p'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&tr='.$tr.'&gr=p" class="small">'.$L['Per_p'].'</a>');

  if ( !isset($bToPrint) ) echo '<p class="small" style="text-align:right">',implode(' &middot; ',$arr),'</p>';

  echo '<table class="ta ta_t" cellspacing="0">',N;

  // first serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphN[$intYear]),max($arrGraphN[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  
  echo '<tr class="tr_t">',N;
  echo '<td class="td_o" style="width:355px">',N;
  
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphN[$intYear],false,320,100,$intTopValue,2,true,$L['New_topics'].' '.$intYear);
  }
  else
  {
  QTsimplegraph($arrGraphN[$intYear],false,350,100,$intTopValue,2,'P',$L['New_topics'].' (%) '.$intYear);
  }

  echo '</td>',N;  
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;

  // second serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphN[$intYear],false,320,100,$intTopValue,2,true,$L['New_topics'].' '.$intYear);
  }
  else
  {
  QTsimplegraph($arrGraphN[$intYear],false,350,100,$intTopValue,2,'P',$L['New_topics'].' (%) '.$intYear);
  }

  echo '</td>',N;  
  echo '</tr>',N;

  // 3d serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphC[$intYear]),max($arrGraphC[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  
  echo '<tr class="tr_t">',N;
  echo '<td class="td_o" style="width:355px">',N;
  
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphC[$intYear],false,320,100,$intTopValue,2,true,$L['Closed_topics'].' '.$intYear,'','2');
  }
  else
  {
  QTsimplegraph($arrGraphC[$intYear],false,350,100,$intTopValue,2,'P',$L['Closed_topics'].' (%) '.$intYear,'','2');
  }

  echo '</td>',N;  
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;

  // 4th serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphC[$intYear],false,320,100,$intTopValue,2,true,$L['Closed_topics'].' '.$intYear,'','2');
  }
  else
  {
  QTsimplegraph($arrGraphC[$intYear],false,350,100,$intTopValue,2,'P',$L['Closed_topics'].' (%) '.$intYear,'','2');
  }

  echo '</td>',N;  
  echo '</tr>',N;
    
  echo '</table>',N;
}
else
{
  echo '<p class="small">Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, ',$_SESSION[QT]['skin_dir'].'/qtr_graph.css</p>';
}

?>