<?php

// QT-registerations 1.6 build:20081216

class cField
{

// --------

function Add($tt,$id)
{
  // Check

  if ( ArgTypeError('str',array($tt,$id)) ) die('cField->Add: Arguments must be string');
  if ( ArgTypeError('empty',array($tt,$id)) ) die('cField->Add: Arguments must be string');

  // Process
  
  global $oDB,$L;

  $qtr_error = '';
  $id = QTconv($id,'K');

  // unic

  $oDB->Query('SELECT count(*) as countid FROM '.TABFIELD.' WHERE tabid="'.$tt.'" AND fieldid="'.$id.'"');
  $row = $oDB->Getrow();
  if ( $row['countid']!=0 ) $qtr_error = "Id $id ".$L['E_already_used'];

  // add

  if ( empty($qtr_error) )
  {
    $oDB->Query('INSERT INTO '.TABFIELD.' (tabid,fieldid,fielddefault,fieldorder,fieldselect,fieldupdate) VALUES ("'.$tt.'","'.$id.'","0","255","1","1")');

    // add into langobject (if not yet defined)

    cLang::Add('tab','en',$id,ucfirst(str_replace('_',' ',$id)));

    // register fields lang

    $_SESSION['L']['field'] = cLang::GetName('field',$_SESSION[QT]['lang_iso'],'*');
  }

  // exit

  return $qtr_error;
}

// --------

function Delete($id)
{
  // Check

  if ( ArgTypeError('str',array($id)) ) die('cField::Delete: Arguments must be string');
  if ( $id!=QTconv($id,'K') ) die('cField::Delete: Argument #1 must be a keycode string');
  if ( $id=='ticket' || $id=='messages' || $id=='documents') die('cField::Delete: Argument #1 cannot be "ticket" nor "messages" nor "documents"');

  // Process
  
  global $oDB;

  // remove from field and from lang

  $oDB->Query('DELETE FROM '.TABFIELD.' WHERE fieldid="'.$id.'"');
  cLang::Delete('field',$id);

  // unregister lang

  if ( isset($_SESSION['L']['field'][$id]) ) unset($_SESSION['L']['field'][$id]);
  if ( isset($_SESSION['L']['fielddesc'][$id]) ) unset($_SESSION['L']['fielddesc'][$id]);
}

// --------

function Move($id='',$to='')
{
  // Check

  if ( ArgTypeError('str',array($id,$to)) ) die('cField::Move: Arguments must be string');
  if ( ArgTypeError('empty',array($id,$to)) ) die('cField::Move: Arguments must be string');

  $qtr_error = '';

  if ( $id!=QTconv($id,'K') ) $qtr_error = 'cField::Move: Argument #1 must be a keycode string';
  if ( $to!=QTconv($to,'K') ) $qtr_error = 'cField::Move: Argument #1 must be a keycode string';

  // Process
  
  global $oDB;

  if ( empty($qtr_error) )
  {
  $oDB->Query('UPDATE '.TABFIELD.' SET tabid="'.$to.'" WHERE fieldid="'.$id.'"');
  $oDB->Query('UPDATE '.TABDATA.' SET tabid="'.$to.'" WHERE fieldid="'.$id.'"');
  }

  return $qtr_error;
}

// --------

function Rename($id='',$to='')
{
  // Check

  if ( ArgTypeError('str',array($id,$to)) ) die('cField::Rename: Arguments must be string');
  if ( ArgTypeError('empty',array($id,$to)) ) die('cField::Rename: Arguments must be string');

  $qtr_error = '';

  if ( $id!=QTconv($id,'K') ) $qtr_error = 'cField::Rename: Argument #1 must be a keycode string';

  // Process
  
  global $oDB,$L;
  $to = QTconv($to,'K');

  // unic

  if ( empty($qtr_error) )
  {
  $oDB->Query('SELECT count(*) AS countid FROM '.TABFIELD.' WHERE fieldid="'.$to.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']!=0 ) $qtr_error = "Id $id ".$L['E_already_used'];
  }

  // save

  if ( empty($qtr_error) )
  {
  $oDB->Query('UPDATE '.TABLANG.' SET objid="'.$to.'" WHERE objtype="field" AND objid="'.$id.'"');
  $oDB->Query('UPDATE '.TABFIELD.' SET fieldid="'.$to.'" WHERE fieldid="'.$id.'"');
  $oDB->Query('UPDATE '.TABDATA.' SET id="'.$to.'" WHERE id="'.$id.'"');
  $_SESSION['L']['field'] = cLang::GetName('field',$_SESSION[QT]['lang_iso'],'*');
  }

  // exit

  return $qtr_error;
}

// --------

}

?>