<?php

// QT-registerations 1.6 build:20081216

switch(substr($oDB->type,0,5))
{

case 'mysql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar(24),
  fieldid varchar(24),
  fieldorder int NOT NULL default 255,
  fieldtype char(1) NOT NULL default "S",
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar(24),
  fieldid varchar(24),
  fieldorder int NOT NULL default 255,
  fieldtype char(1) NOT NULL default "S",
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  CONSTRAINT pk_'.$qtr_prefix.'qtrfield PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar(24),
  fieldid varchar(24),
  fieldorder integer NOT NULL default 255,
  fieldtype char(1) NOT NULL default "S",
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'sqlit':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid text,
  fieldid text,
  fieldorder integer NOT NULL default 255,
  fieldtype text NOT NULL default "S",
  fielddefault text,
  fieldselect text,
  fieldupdate text,
  PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'ibase':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar(24),
  fieldid varchar(24),
  fieldorder integer default 255,
  fieldtype char(1) default "S",
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'acces':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar(24),
  fieldid varchar(24),
  fieldorder int NOT NULL default 255,
  fieldtype char(1) NOT NULL default "S",
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  CONSTRAINT pk_'.$qtr_prefix.'qtrfield PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar(24),
  fieldid varchar(24),
  fieldorder integer NOT NULL default 255,
  fieldtype char(1) NOT NULL default "S",
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar(24),
  fieldid varchar(24),
  fieldorder integer default 255 NOT NULL,
  fieldtype char(1) default "S" NOT NULL,
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  PRIMARY KEY (tabid,fieldid)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrfield (
  tabid varchar2(24),
  fieldid varchar2(24),
  fieldorder number(32) default 255 NOT NULL,
  fieldtype char(1) default "S" NOT NULL,
  fielddefault char(1),
  fieldselect char(1),
  fieldupdate char(1),
  CONSTRAINT pk_'.$qtr_prefix.'qtrfield PRIMARY KEY (tabid,fieldid)
  )';
  break;

default:
  die("Database type [{$oDB->type}] not supported... Must be mysql, mssql, pg, sqlite, firebird, db2, ifx or access");

}

echo '<span style="color:blue;">';
$b=$oDB->Query($strQ);
echo '</span>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qtr_prefix.'qtrfield',$qtr_database,$qtr_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qtr_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

?>