<?php

// QT-registrations 1.6 build:20081216

include('qtr_stats_g_inc.php');

// Display title & option

echo '<table class="ta_hidden" cellspacing="0">';
echo '<tr class="tr_hidden" style="vertical-align:middle;">';
echo '<td class="td_hidden"><h2>',$intYear,($s>=0 ? ' ('.$arrSections[$s].')' : ''),(empty($tag) ? '' : ', '.$L['Tag_only'].' '.str_replace(';',' '.$L['or'].' ',$tag)),'</h2></td>',N;
If ( !isset($bToPrint) ) echo '<td class="td_hidden small" style="text-align:right">',implode(' &middot; ',$arrTimeblocks),'</td>';
echo '</tr></table>
';

// Display table header

echo '<table class="ta ta_t" cellspacing="0">
<tr class="tr_t">
<th class="th_o" style="width:85px">&nbsp;</th>
<th class="th_o" style="width:14px">&nbsp;</th>
';
switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">Q',$i,'</th>'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</th>'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { echo '<th class="th_o" style="text-align:center;">',str_replace(' ','<br/>',QTdate(DateAdd($strTendaysago,$i,'day'),array('n','date','d M'))),'</th>'; } break;
}
echo '<th class="th_o" style="text-align:center;"><b>',($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']),'</b></th>
</tr>';

// DISPLAY TOPICS

echo '<tr class="tr_t">',N;
echo '<th class="th_o">',$L['Topics'],'</th>',N;
echo '<th class="th_o"><div style="margin:0 auto;background-color:#000066;width:8px;height:10px">&nbsp;</div></th>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrT[$intBt]) ? $arrT[$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrT[$intTotBt],'</b></td>',N;
echo '</tr>';

// DISPLAY MESSAGES

echo '<tr class="tr_t">',N;
echo '<th class="th_o">',$L['Messages'],'</th>',N;
echo '<th class="th_o"><div style="margin:0 auto;background-color:#990099;width:8px;height:10px">&nbsp;</div></th>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrM[$intBt]) ? $arrM[$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrM[$intTotBt],'</b></td>',N;
echo '</tr>';

// DISPLAY USERS

echo '<tr class="tr_t">',N;
echo '<th class="th_o">',$L['Users'],'*</th>',N;
echo '<th class="th_o"><div style="margin:0 auto;background-color:#009999;width:8px;height:10px">&nbsp;</div></th>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrU[$intBt]) ? $arrU[$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrU[$intTotBt],'</b></td>',N;
echo '</tr>
</table>
';

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtr_graph.css') )
{
  include('bin/qt_lib_graph.php');
    
  $arr = array();
  $arr[] = ($gr=='a' ? $L['Per_a'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&gr=a" class="small">'.$L['Per_a'].'</a>');
  $arr[] = ($gr=='p' ? $L['Per_p'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&gr=p" class="small">'.$L['Per_p'].'</a>');

  if ( !isset($bToPrint) ) echo '<p class="small" style="text-align:right">',implode(' &middot; ',$arr),'</p>';
  
  // Topics
  
  echo '<table class="ta ta_t" cellspacing="0">',N;
  echo '<tr class="tr_t">',N;

  echo '<td class="td_o" style="width:355px">',N;
  
  $intTopValue = 5; $i = max($arrGraphT);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphT,false,320,100,$intTopValue,2,true,$L['Topics_per_'.$bt],'','1');
  }
  else
  {
  QTsimplegraph($arrGraphT,false,350,100,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)','','1');
  }

  echo '</td>',N;  
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;

  $intTopValue = 5; $i = array_sum($arrGraphT);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;

  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphT,true,320,100,$intTopValue,2,true,$L['Topics_per_'.$bt.'_cumul'],'','1');
  }
  else
  {
  QTsimplegraph($arrGraphT,true,350,100,$intTopValue,2,'P',$L['Topics_per_'.$bt.'_cumul'].' (%)','','1');
  }
  echo '</td>',N;
  echo '</tr>',N;
  
  // Messages & Users
  
  echo '<tr class="tr_t">',N;

  echo '<td class="td_o" style="width:355px">',N;
  
  $intTopValue = 5; $i = max($arrGraphM);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphM,false,320,100,$intTopValue,2,true,$L['Messages_per_'.$bt],'','2');
  }
  else
  {
  QTsimplegraph($arrGraphM,false,350,100,$intTopValue,2,'P',$L['Messages_per_'.$bt].' (%)','','2');
  }

  echo '</td>',N;  
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;

  $intTopValue = 5; $i = array_sum($arrGraphU);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;

  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphU,false,320,100,$intTopValue,2,true,$L['Users_per_'.$bt],'','3');
  }
  else
  {
  QTsimplegraph($arrGraphU,false,350,100,$intTopValue,2,'P',$L['Users_per_'.$bt].' (%)','','3');
  }
  echo '</td>',N;
  echo '</tr></table>',N;

}
else
{
  echo '<p class="small">Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, ',$_SESSION[QT]['skin_dir'].'/qtr_graph.css</p>';
}

// LEGEND

echo '<p>*  <span class="small">',$L['Distinct_users'],'</span></p>
';

?>