<?php

// QT-registrations 1.6 build:20081216

// ---------
// SUBMITTED document upload
// ---------

if ( isset($_POST['ok-doc']) )
{ 
  $bSuccess = false;
    
  $strFile = strtolower($_FILES['docfile']['name']);
  $strName = strip_tags($_POST['docname']); if ( get_magic_quotes_gpc() ) $strName = stripslashes($strName);
  $strName = QTconv($strName,'3'); if ( empty($strName) ) $strName = $strFile;

  $strExt = substr(strrchr($strFile,'.'),1);
  $strFile = $t.'_'.date('Ymd_Hi').'_'.substr($strFile,0,4).'.'.$strExt;

  // load file

  if ( !is_uploaded_file($_FILES['docfile']['tmp_name']) ) $qtr_error = 'You did not upload a file!';

  // is size (kb) ok

  if ( empty($qtr_error) )
  {
    if ( !isset($_SESSION[QT]['uploadsize']) ) $_SESSION[QT]['uploadsize']=1000;
    if ( $_FILES['docfile']['size'] > (intval($_SESSION[QT]['uploadsize'])*1024+16) )
    {
      $qtr_error = $L['E_file_size'].' (&lt;'.$_SESSION[QT]['uploadsize'].' Kb)';
      unlink($_FILES['docfile']['tmp_name']);
    }
  }

  // check extension and mimetype

  if ( empty($qtr_error) )
  {
    include('bin/qtr_upload.php');
    if ( isset($arrFileextensions) ) {
    if ( !empty($arrFileextensions) ) {
    if ( !in_array($strExt,$arrFileextensions) ) {
      $qtr_error = "Format not supported... [.$str]";
      unlink($_FILES['docfile']['tmp_name']);
    }}}
    if ( isset($arrMimetypes) ) {
    if ( !empty($arrMimetypes) ) {
    if ( !in_array(strtolower($_FILES['docfile']['type']),$arrMimetypes) ) {
      $qtr_error = 'Format not supported... '.$_FILES['docfile']['type'];
      unlink($_FILES['docfile']['tmp_name']);
    }}}
  }

  // copy the file

  if ( empty($qtr_error) )
  {

    $intDirY = intval(date('Y'));
    $intDirM = intval(date('m'));
    $intDirD = intval(date('d'));
    $strDir = QTR_DOC_FOLDER;
    if ( is_dir($strDir.strval($intDirY)) ) $strDir .= strval($intDirY).'/';
    if ( is_dir($strDir.strval($intDirY*100+$intDirM)) ) $strDir .= strval($intDirY*100+$intDirM).'/';
    if ( is_dir($strDir.strval($intDirY*10000+$intDirM*100+$intDirD)) ) $strDir .= strval($intDirY*10000+$intDirM*100+$intDirD).'/';

    // File has passed all validation, copy it to the final destination and remove the temporary file:
    if ( copy($_FILES['docfile']['tmp_name'],$strDir.$strFile) )
    {
      $oDB->Query( 'INSERT INTO '.TABDOC.' (id,docname,docfile,docpath,docdate) VALUES ('.$t.',"'.$strName.'","'.$strFile.'","'.$strDir.'","'.date('Ymd His').'")' );
      $bSuccess=true;
    }
    else
    {
      echo '<p class="error">Unable to copy the file. The directory /',$strDir,' is probably not writeable...</p>';
    }
    unlink($_FILES['docfile']['tmp_name']);

  }

  // Exit

  if ( $bSuccess ) $strInfo = $L['S_save'];

}

// ---------
// DISPLAY
// ---------

// Get documents in this topic.
// Attention, the document-id is docfile

$arrDocs = array();
  $oDB->Query('SELECT docname,docfile,docpath,docdate FROM '.TABDOC.' WHERE id='.$t.' ORDER by docdate ASC');
  while($row=$oDB->Getrow())
  {
    $arrDocs[$row['docfile']] = $row;
  }
  
// animation of the infomessage (errors remains on screen)
if ( isset($strInfo) ) 
{
echo '
<p id="infomessage" style="color:#007F11"><b>',$strInfo,'</b></p>
<script type="text/javascript">
<!--
setTimeout(\'document.getElementById("infomessage").style.color="#bbbbbb"\',3000);
setTimeout(\'document.getElementById("infomessage").style.color="#cccccc"\',3300);
setTimeout(\'document.getElementById("infomessage").style.color="#dddddd"\',3600);
setTimeout(\'document.getElementById("infomessage").innerHTML="&nbsp;"\',3900);
-->
</script>
';
}

echo '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.docfile.value.length==0) { alert("',$L['E_mandatory'],'"); return false; }
  return null;
}
-->
</script>
<table cellspacing="0" class="ta_doc">
';

// display fields

$intCount=0;
$bStart=true;
foreach ($arrDocs as $intDoc =>$arrDoc)
{
  // check file exists
  if ( file_exists($arrDoc['docpath'].$arrDoc['docfile']) )
  {

    if ( $bStart ) { echo '<tr class="tr_doc">'; $bStart=false; }

    echo '<td class="td_doc">';
    if ( $_SESSION[QT]['viewmode']=='C' ) echo '<table class="ta_hidden"><tr><td style="width:40%;text-align:center">';
    $strExt = substr(strrchr($arrDoc['docfile'],'.'),1);
    if ( in_array($strExt,array('gif','jpg','jpeg','png')) )
    {
    echo AsImg($arrDoc['docpath'].$arrDoc['docfile'],'doc',$arrDoc['docfile'],'img_doc_'.$_SESSION[QT]['viewmode'],'vertical-align:middle',$arrDoc['docpath'].$arrDoc['docfile']);
    }
    else
    {
    echo AsImg($_SESSION[QT]['skin_dir'].'/qtr_document.gif','doc',$arrDoc['docfile'],'img_doc_N','vertical-align:middle',$arrDoc['docpath'].$arrDoc['docfile']);
    }
    if ( $_SESSION[QT]['viewmode']=='C' ) echo '</td><td style="text-align:left">';
    echo '<br/><a href="',$arrDoc['docpath'].$arrDoc['docfile'],'">',(!empty($arrDoc['docname']) ? $arrDoc['docname'] : $arrDoc['docfile']),'</a>';
    echo '<br/><span class="disabled">',(!empty($arrDoc['docdate']) ? QTdate($arrDoc['docdate'],$arrQTdate) : ''),'</span><br/>';
    if ( $_SESSION[QT]['editing'] )
    {
      if ( $oVIP->id==$oTopic->firstpostuser || $oVIP->role=='A' || $oVIP->role=='M' )
      {
      echo '<a class="small" href="qtr_cmd.php?a=docrename&amp;s=',$s,'&amp;t=',$t,'&amp;v=',$arrDoc['docfile'],'&amp;p=',$oVIP->id,'">',$L['Rename'],'</a>';
      echo ' &middot; <a class="small" href="qtr_cmd.php?a=docdelete&amp;s=',$s,'&amp;t=',$t,'&amp;v=',$arrDoc['docfile'],'&amp;p=',$oVIP->id,'">',$L['Delete'],'</a>';
      }
      else
      {
      echo '<span class="small disabled">',$L['Rename'],'</span>';
      echo ' &middot; <span class="small disabled">',$L['Delete'],'</span>';
      }
    }
    if ( $_SESSION[QT]['viewmode']=='C' ) echo '</td></tr></table>';
    echo '</td>';

    if ( !is_int($intCount/2) ) $bStart=true;
    if ( $bStart ) { echo '</tr>',N; }

    $intCount++;
  }
}
if ( $intCount>0 )
{
  if ( is_int($intCount/2) ) { echo '</tr>',N; } else { echo '<td class="td_doc">&nbsp;</td></tr>',N; }
}

if ( $intCount==0 ) HtmlDataRow($L,'0');

// FORM

if ( $_SESSION[QT]['editing'] ) 
{
echo '<tr class="tr_doc">
<td class="td_doc_form" colspan="2">
<form method="post" action="',$oVIP->selfurl,' " enctype="multipart/form-data" onsubmit="return ValidateForm(this);">
<p>',$L['Document_add'],' <input type="file" name="docfile" id="docfile" size="35"/></p>
<p>',$L['Document_name'],'
<input type="text" name="docname" id="docname" size="35"/>
<input type="hidden" name="s" value="',$s,'"/>
<input type="hidden" name="t" value="',$t,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok-doc" value="',$L['Add'],'"/></p>
</td>
</tr>
';
}

echo '
</table>
';

// Edit

if ( $bCanEdit )
{
echo '<div class="div_pan_bot">',( $_SESSION[QT]['editing'] ? '<a href="'.$oVIP->selfurl.'?s='.$s.'&amp;t='.$t.'&amp;tt='.$tt.'&amp;edit=0">'.$L['Edit_stop'].'</a>' : '<a href="'.$oVIP->selfurl.'?s='.$s.'&amp;t='.$t.'&amp;tt='.$tt.'&amp;edit=1">'.$L['Edit_start'].'</a>'),'</div>';
}

?>