<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanAccess('V',0,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

include($_SESSION[QT]['language'].'/qtr_lang_reg.inc');

$oVIP->selfurl = 'qtr_usr_new.php';
$oVIP->selfname = $L['Register'];

// --------
// EXECUTE FORM
// --------

if ( isset($_POST['ok']) )
{
  if ( !isset($_POST['agreed']) )
  {
    $bJava = false;
    include('qtr_p_header.php');
    HtmlMsg(0,'370px','login_header',$oVIP->selfname,'login');
    $strFile=$_SESSION[QT]['language'].'/sys_not_agree.txt';
    if ( file_exists($strFile) ) { include($strFile); } else { echo 'Rules not agreed...'; }
    echo '<p><a href="',$oVIP->selfurl,'">',$L['Register'],'</a></p>';
    HtmlMsg(1);
    include('qtr_p_footer.php');
    Exit;
  }

  // continue to registration form
  $oVIP->exiturl = 'qtr_form_reg.php'.(QTR_USE_COPPA ? '?c='.$_POST['child'] : '');
  $oVIP->exitname = $L['Register'];
  $oVIP->EndMessage('0');
}

// --------
// HTML START
// --------

$arrCss = array('qtr_register.css');

include('qtr_p_header.php');

echo '
<div class="scrollmessage">
';

$strFile = $_SESSION[QT]['language'].'/sys_rules.txt';
if ( file_exists($strFile) ) { include($strFile); } else { echo "Missing file:<br/>$strFile"; }

echo '
</div>
';

echo '
<form method="post" action="',$oVIP->selfurl,'"><p><input type="checkbox" id="agreed" name="agreed"/> <label for="agreed"><b>&nbsp;',$L['Agree'],'</b></label></p>
';
HtmlMsg(0,'300px','login_header',$oVIP->selfname,'login');
echo '<p>';
if ( QTR_USE_COPPA )
{
echo '<input type="radio" id="child1" name="child" value="2" checked="checked"/><label for="child1">',$L['I_am_child'],'</label><br/>',N;
echo '<input type="radio" id="child0" name="child" value="0"/><label for="child0">',$L['I_am_not_child'],'</label><br/>',N;
}
else
{
echo $L['Proceed'];
}
echo '</p><p><input type="submit" name="ok" value="',$L['Ok'],'"/></p>';
HtmlMsg(1);
echo'
</form>
';

// HTML END

include('qtr_p_footer.php');

?>